Subject: Re: [PATCH v2 0/4] test-tool: split up "read-cache" tool

From: Junio C Hamano <[email-masked]>
Date: Tue, 24 Aug 2021 17:18:59 -0700

Taylor Blau <[email-masked]> writes:

> If we're looking for things to clean up, I do like the conversion to the
> parse-options API instead of reading argv ourselves, but probably
> otherwise prefer the code as-is instead of split across many files.
>
> But I may be in the minority, and there may be others who do find the
> split-up version easier to grok.

FWIW, you're not alone.  I too like the use of parse_options, but I
fail to be enthused by changes to churn the test helper binary.